> ## Documentation Index
> Fetch the complete documentation index at: https://globale-enterprise.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform Order Payment

> Global-e posts order payment details to a merchant-hosted endpoint via the PerformOrderPayment (Global-e to Merchant) API.

Posts order payment details to the Merchant's site and perform the payment.

<Info>
  This API is part of Global-e's extensions and plug-ins. Merchants do not need to implement this API unless a custom integration is required.
</Info>

Only `order.OrderId` and `order.PaymentDetails` classes are mandatory for this method. For Mixed orders, `Subs` is mandatory.

## Security Requirements

* Merchant GUID - In request payload (required)
* Custom header (optional)
* IP whitelist (optional)
* HTTP Basic Authentication (optional)
* JWT (optional)

## Retry Logic

There is no retry upon a merchant failure response or timeout. The timeout period is 5 minutes and this cannot be adjusted. Requests that fail to initiate from Global-e side will trigger an alert to the Global-e NOC team for manual review. Merchant failure responses or timeouts will trigger an alert to the Global-e NOC team for manual review. Requests that fail to initiate from Global-e side will trigger a retry once a minute for up to 3 attempts after which an alert will trigger for manual review.

<Warning>
  Some values in the payload are encoded and must be decoded by the merchant — for example URLs, addresses, emails, and phone numbers.
</Warning>


## OpenAPI

````yaml api-reference/specs/performorderpayment.yaml POST /order-payment-only-url
openapi: 3.0.3
info:
  title: PerformOrderPayment (Global-e to Merchant)
  version: 1.0.0
  description: Posts order payment details to the Merchant's site and perform the payment.
  x-scaled-review: true
servers:
  - url: https://{merchant_site_domain}
    variables:
      merchant_site_domain:
        default: www.merchant-site-domain.com
        description: The merchant's site domain hosting the order-payment endpoint.
security: []
tags:
  - name: PerformOrderPayment (Global-e to Merchant)
    x-page-title: Perform Order Payment
  - name: 'Direction: Global-e → Merchant'
  - name: 'Domain: Orders'
paths:
  /order-payment-only-url:
    post:
      tags:
        - PerformOrderPayment (Global-e to Merchant)
      summary: PerformOrderPayment (Global-e to Merchant)
      description: >-
        Posts order payment details to the Merchant's site and perform the
        payment.
      operationId: performOrderPayment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MerchantOrder'
            example:
              OrderId: '00010000100000000020'
              MerchantGUID: abcdabcd-abcd-abcd-abcd-abcdabcdabcd
              PaymentDetails:
                OwnerFirstName: Nir
                OwnerLastName: Debbi
                OwnerName: GlobalE
                CardNumber: 0000-0000-0000-0000
                CVVNumber: '000'
                PaymentMethodName: Visa
                PaymentMethodCode: VI
                PaymentMethodTypeCode: cc
                ExpirationDate: '2016-10-31'
                CountryName: Israel
                CountryCode: IL
                StateOrProvince: ''
                City: Petach Tikva
                Zip: '12345'
                Address1: Kiryat Arye
                Address2: ''
                Phone1: ''
                Phone2: ''
                Fax: ''
                Email: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PerformOrderPaymentResponse'
              example:
                AllowMailsFromMerchant: false
                AllowSMSFromMerchant: null
                AllowDirectCommunicationFromMerchant: null
                ReservationRequestId: null
                ClearCart: false
                CurrencyCode: null
                Customer:
                  EmailAddress: null
                  IsEndCustomerPrimary: false
                  SendConfirmation: false
                CustomerComments: null
                Discounts: []
                DoNotChargeVAT: false
                FreeShippingCouponCode: null
                IsFreeShipping: false
                IsSplitOrder: false
                LoyaltyCode: null
                LoyaltyPointsEarned: null
                LoyaltyPointsSpent: null
                Markups: []
                OriginalMerchantTotalProductsDiscountedPrice: 0
                OTVoucherAmount: null
                OTVoucherCode: null
                OTVoucherCurrencyCode: null
                InitialCheckoutCultureCode: null
                CultureCode: null
                HubId: null
                HubCode: null
                PrimaryShipping:
                  Address1: null
                  Address2: null
                  AddressBookId: null
                  City: null
                  Company: null
                  CountryCode: null
                  CountryCode3: null
                  CountryName: null
                  Email: null
                  Fax: null
                  FirstName: null
                  LastName: null
                  MiddleName: null
                  Phone1: null
                  Phone2: null
                  Salutation: null
                  StateCode: null
                  StateOrProvince: null
                  Zip: null
                  CollectionPointId: null
                  AddressBookName: null
                  CustomerTaxId: null
                Products: []
                RoundingRate: 0
                SameDayDispatch: false
                SameDayDispatchCost: 0
                SecondaryShipping:
                  Address1: null
                  Address2: null
                  AddressBookId: null
                  City: null
                  Company: null
                  CountryCode: null
                  CountryCode3: null
                  CountryName: null
                  Email: null
                  Fax: null
                  FirstName: null
                  LastName: null
                  MiddleName: null
                  Phone1: null
                  Phone2: null
                  Salutation: null
                  StateCode: null
                  StateOrProvince: null
                  Zip: null
                  CollectionPointId: null
                  AddressBookName: null
                  CustomerTaxId: null
                ShippingMethodCode: null
                ShipToStoreCode: null
                UrlParameters: null
                IsReplacementOrder: false
                OriginalOrder: null
                TotalDutiesAndTaxesPrice: 0
                CCFPrice: 0
                UserId: null
                GiftCards: []
                PreferredCultureCode: null
                ShippingVATRate: null
                OrderPaymentMethods:
                  - PaymentMethodId: 1
                    PaymentMethodName: Visa
                    IsGiftCard: false
                    GiftCardFields: null
                    PaidAmountInCustomerCurrency: 393.56
                    PaidAmountInMerchantCurrency: 235.74993308058802
                    PaymentMethodTypeCode: '1'
                    PaymentMethodTypeName: Credit Card
                CustomerDTBreakdown: null
                MerchantDTBreakdown: null
                TotalDutiesPaidByCustomerPrice: null
                CookieConsent: 0
                IsMoto: false
                ModifiedProduct: null
                TaxCalculationRule: CIF
                TotalValueForCustoms: 393.56
                USSalesTax: 0
                ImporterDetails: null
                PaymentDetails:
                  Address1: 200 west 41st street
                  Address2: 9th floor
                  CardNumber: null
                  City: New York
                  CountryCode: US
                  CountryCode3: USA
                  CountryName: United States
                  CVVNumber: null
                  Email: service@global-e.com
                  ExpirationDate: '2040-09-22'
                  Fax: null
                  OwnerFirstName: Global-e
                  OwnerLastName: US Inc.
                  OwnerName: Global-e US Inc.
                  PaymentMethodCode: OT
                  PaymentMethodName: Undefined
                  PaymentMethodTypeCode: globaleintegration
                  Phone1: +1 (212) 634-3952
                  Phone2: null
                  StateCode: NY
                  StateOrProvince: New York
                  Zip: '10036'
                PrimaryBilling:
                  Address1: t
                  Address2: null
                  AddressBookId: null
                  City: t
                  Company: null
                  CountryCode: NZ
                  CountryCode3: NZL
                  CountryName: New+Zealand
                  Email: test@test.com
                  Fax: null
                  FirstName: FirstName
                  LastName: LastName
                  MiddleName: null
                  Phone1: '2125551212'
                  Phone2: null
                  Salutation: null
                  StateCode: null
                  StateOrProvince: null
                  Zip: '2345'
                  CollectionPointId: null
                  AddressBookName: null
                  CustomerTaxId: null
                SecondaryBilling:
                  Address1: 200 west 41st street
                  Address2: 9th floor
                  AddressBookId: null
                  City: New York
                  Company: GlobalE
                  CountryCode: US
                  CountryCode3: USA
                  CountryName: United States
                  Email: service@global-e.com
                  Fax: null
                  FirstName: Global-e
                  LastName: US Inc.
                  MiddleName: null
                  Phone1: +1 (212) 634-3952
                  Phone2: null
                  Salutation: null
                  StateCode: NY
                  StateOrProvince: New York
                  Zip: '10036'
                  CollectionPointId: null
                  AddressBookName: null
                  CustomerTaxId: null
                CartHash: 3A29A654B1A5DD8D758D19C827B69E83
                CartToken: null
                GlobalECartToken: null
                CartId: f9847639-95e8-4e75-b198-9031a205e001:384880634
                DiscountedShippingPrice: 221.15
                InternationalDetails:
                  ConsignmentFee: 0
                  CurrencyCode: NZD
                  DeliveryDaysFrom: 9
                  DeliveryDaysTo: 15
                  DiscountedShippingPrice: 369.19
                  DutiesGuaranteed: false
                  OrderTrackingNumber: null
                  OrderTrackingUrl: >-
                    https%3a%2f%2fwww.bglobale.com%2fOrder%2fTrack%2fmZz5%3fOrderId%3dGE01812420US%26ShippingEmail%3dtest%40test.com
                  OrderWaybillNumber: null
                  PaymentMethodCode: '1'
                  PaymentMethodName: Visa
                  RemoteAreaSurcharge: 0
                  SameDayDispatchCost: 0
                  ShippingMethodCode: '40049745'
                  ShippingMethodName: DHL api Express Worldwide
                  ShippingMethodTypeCode: Express
                  ShippingMethodTypeName: Express Courier (Air)
                  SizeOverchargeValue: 17
                  TotalCCFPrice: 0
                  TotalDutiesPrice: 0
                  TotalPrice: 393.56
                  TotalShippingPrice: 369.19
                  TransactionCurrencyCode: NZD
                  TransactionTotalPrice: 393.56
                  ParcelsTracking: null
                  CardNumberLastFourDigits: null
                  ExpirationDate: null
                  ShippingVATRate: 0
                  CashOnDeliveryFee: 0
                  CustomerDTBreakdown: null
                  MerchantDTBreakdown: null
                  DeliveryDateFrom: '25.03'
                  DeliveryDateTo: '04.04'
                  ShipmentLocation: null
                  ShipmentStatusUpdateTime: null
                  ShippingMethodStatusCode: Undefined
                  ShippingMethodStatusName: undefined
                MerchantGUID: 12345678-1234-1234-1234-123456789012
                MerchantOrderId: '123456789'
                OrderId: GE01812420US
                PriceCoefficientRate: 1.15
                StatusCode: N/A
                WebStoreCode: en-nz
                WebStoreInstanceCode: en-nz
components:
  schemas:
    MerchantOrder:
      type: object
      title: Merchant.Order
      description: Merchant.Order objects contain information about orders.
      additionalProperties: true
      required:
        - OrderId
        - PaymentDetails
      properties:
        AdditionalRequiredDocuments:
          type: array
          items:
            $ref: '#/components/schemas/OrderDocument'
          description: >-
            The required additional documents for shipping. When the information
            is provided, the Merchant must wait for the documents to be provided
            before starting fulfilment.
        AllowMailsFromMerchant:
          type: boolean
          description: >-
            Indicates if the end customer has opted on the Global-e checkout
            page to receive emails from the Merchant.

            TRUE - Customer opted to receive emails

            FALSE - Customer did not opt to receive emails
        CartHash:
          type: string
          description: >-
            Cart hash originally specified in the merchantCartHash argument for
            the SendCart method for the cart converted to this order on
            Global-e.
        CartId:
          type: string
          description: >-
            Identifier of the cart on the Merchant's site originally specified
            in merchantCartToken argument for SendCart method for the cart
            converted to this order on Global-e.
        CashOnDeliveryFee:
          type: number
          description: Cash On Delivery fee amount in Merchant's currency.
        CCFPrice:
          type: number
          description: Customs Clearance Fees (CCF), in the Merchant currency.
        ClearCart:
          type: boolean
          description: >-
            Indicates if the end customer's cart must be cleared before this
            method finishes execution on the Merchant's site.

            TRUE - The end customer's cart must be cleared

            FALSE - The end customer's cart does not have to be cleared
        CurrencyCode:
          type: string
          description: >-
            3-char ISO currency code for the order being posted. By default,
            this is set to the original Merchant's currency.
        CurrencyName:
          type: string
          description: Customer currency name. Returned by GetOrdersDetails API only
        Customer:
          allOf:
            - $ref: '#/components/schemas/MerchantCustomer'
          description: >-
            The paying customer's preferences (Global-e acts as a paying
            customer).
        CustomerComments:
          type: string
          description: >-
            Holds the gift message. In the offline order flow, holds the product
            comment.
        CustomerDTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: Contains the duties and tax parts the customer paid for the order.
        DateCreated:
          type: string
          description: Order creation date and time. Returned by GetOrdersDetails API only.
        DiscountedShippingPrice:
          type: number
          description: >-
            The shipping price paid by the customer converted to the Merchant's
            currency. Total Shipping price reducing Order Discounts
            (InternationalDetails.DiscountedShippingPrice price converted to the
            Merchant currency).
        Discounts:
          type: array
          items:
            $ref: '#/components/schemas/MerchantDiscount'
          description: >-
            The list of discounts being applied to the order, according to the
            original list of discounts received in SendCart for this order, and
            to the Merchant shipping configuration on Global-e.
        DoNotChargeVAT:
          type: boolean
          description: >-
            Indicates if the end customer hasn't been charged VAT in Global-e
            checkout, as specified in the doNotChargeVAT argument for the
            SendCart method for the cart converted to this order on Global-e.

            TRUE - VAT is not charged

            TRUE - VAT is charged
        ExporterDetails:
          $ref: '#/components/schemas/ExporterDetails'
        FreeShippingCouponCode:
          type: string
          description: >-
            Merchant's free shipping CouponCode applied by the end customer, as
            specified in the FreeShippingCouponCode argument for the SendCart
            method for the cart converted to this order on Global-e.
        InternationalDetails:
          allOf:
            - $ref: '#/components/schemas/MerchantInternationalDetails'
          description: >-
            Details referring to the end customer's order placed on the Global-e
            side. These details apply only to the Merchants dealing with
            international customers' support themselves.
        IsB2B:
          type: boolean
          description: >-
            Indicates if the order has a Company name and VAT registration
            number.

            TRUE - Order contains a company name and VAT registration number

            FALSE - Order does not contain a company name and VAT registration
            number
        IsFreeShipping:
          type: boolean
          description: >-
            Indicates if the Merchant offers free international shipping to the
            end customer, as specified in the IsFreeShipping argument for the
            SendCart method for the cart converted to this order on Global-e.

            TRUE - Shipping is free.

            FALSE - Shipping is not free.
        IsMoto:
          type: boolean
          description: >-
            Indicates if the customer is a customer support agent and an
            "Offline order" took place

            TRUE - The customer is a customer support agent and an "Offline
            order" took place

            FALSE - The customer is a regular customer
        IsReplacementOrder:
          type: boolean
          description: |-
            Indicates if the order is a replacement.
            TRUE - The order is a replacement
            FALSE - The order is not a replacement
        IsSplitOrder:
          type: boolean
          description: >-
            Indicates if the order should be handled as a split order (i.e.
            without consolidation).

            TRUE - Order will be split

            FALSE - Order is not to be split
        IsTaxExemption:
          type: boolean
          description: |-
            Indicates if the order has a tax exemption.
            TRUE - Order has a tax exemption
            FALSE - Order does not have a tax exemption
        LoyaltyCode:
          type: string
          description: >-
            Loyalty code applicable to the Merchant's site entered by the end
            customer in Global-e checkout.
        LoyaltyPointsEarned:
          type: number
          description: >-
            The number of loyalty points to be earned for this purchase by the
            end customer on the Merchant's site, as specified in the
            loyaltyPointsEarned argument for the SendCart method for the cart
            converted to this order on Global-e.
        LoyaltyPointsSpent:
          type: number
          description: >-
            The number of loyalty points spent for this purchase. The existing
            loyalty points handling procedure must be applied to the end
            customer's user account. Therefore, the "Loyalty points" type
            discount must not be applied to the order directly but can be used
            for display purposes elsewhere in the system (i.e. on the end user's
            My Account page).
        Markups:
          type: array
          items:
            $ref: '#/components/schemas/MerchantDiscount'
          description: >-
            The list of markups being applied to the order, according to the
            Merchant shipping configuration on Global-e. Effectively Markup is a
            "negative Discount". The main use case for markups is when the end
            customer is charged in Global-e checkout, a flat shipping rate,
            which is higher than the shipping rate, calculated for the
            respective order. In this case, Global-e pays the difference to the
            Merchant in the form of Markups applied to the order. Unlike
            Discounts, Markups may be only passed to the Merchant's back-end ERP
            system for reconciliation purposes, and may not be displayed to the
            end customer.
        MerchantDTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: >-
            Contains the duties and tax parts that the Merchant subsidized for
            the order.
        MerchantGUID:
          type: string
          description: Unique identifier of the Merchant on Global-e.
        MerchantOrderId:
          type: string
          description: >-
            Order unique identifier on the Merchant's site returned from a
            previous call to the SendOrderToMerchant method for this order.
        ModifiedProduct:
          type: string
          description: Holds the product's SKU
        OrderCreationSource:
          type: number
          description: >-
            One of the values of OrderCreationSource enumeration denoting a type
            of discount shown in the OrderCreationSource Table.
        OrderDocuments:
          type: array
          items:
            $ref: '#/components/schemas/OrderDocument'
          description: >-
            Always contains a single document - it can be either a VAT Invoice
            or a Customer Receipt, depends if it is within the EU or not.
        OrderId:
          type: string
          description: Global-e order unique identifier.
        OrderPaymentMethods:
          type: array
          items:
            $ref: '#/components/schemas/OrderPaymentMethod'
          description: List of payment methods the customer use (Credit card, Gift Cards)
        OrderStatusReason:
          allOf:
            - $ref: '#/components/schemas/OrderStatusReason'
          description: Reason for the order status, why it was cancelled.
        OriginalOrder:
          allOf:
            - $ref: '#/components/schemas/MerchantOriginalOrder'
          description: >-
            Details that refer to the original order if the current order is a
            replacement.
        OTCurrencyCode:
          type: string
          description: Currency of the one-time voucher code used to place the order.
        OTVoucherAmount:
          type: number
          description: The amount taken off the voucher when applicable.
        OTVoucherCode:
          type: string
          description: One-time voucher code used to place the order
        Parcels:
          type: array
          items:
            $ref: '#/components/schemas/MerchantParcel'
          description: >-
            The list of parcels created for the order. Returned by
            GetOrdersDetails API only.
        PaymentDetails:
          allOf:
            - $ref: '#/components/schemas/MerchantPaymentDetails'
          description: The paying customer's payment details.
        PrePayOffered:
          type: boolean
          description: >-
            Indicates if the prepayment option for duties and taxes was offered
            to the customer.

            TRUE - Prepayment option offered.

            FALSE - Prepayment option not offered.
        PriceCoefficientRate:
          type: number
          description: CountryCoefficient rate applied to the prices in this order.
        PrimaryBilling:
          allOf:
            - $ref: '#/components/schemas/MerchantCustomerDetails'
          description: >-
            The primary customer's billing details. If IsEndCustomerPrimary is
            set to TRUE, then the primary customer is the payer and his details
            are indicated in the URL-encoded form.
        PrimaryShipping:
          allOf:
            - $ref: '#/components/schemas/MerchantCustomerDetails'
          description: >-
            Primary customer's shipping details. If
            Customer.IsEndCustomerPrimary is TRUE, this field contains the end
            customers' shipping details. this field contains the Global-e hub's
            shipping address in the URL-encoded form.
        Products:
          type: array
          items:
            $ref: '#/components/schemas/MerchantProduct'
          description: The list of products being purchased.
        RoundingRate:
          type: number
          description: >-
            The average conversion rate applied to the prices paid by the end
            customer when calculating the prices paid by Global-e to the
            Merchant in the original Merchant's currency. This rate includes "FX
            conversion" and "marketing rounding" factors.
        SameDayDispatch:
          type: boolean
          description: >-
            Indicates if the end customer has requested "Same Day Dispatch" on
            Global-e checkout.

            TRUE - Customer requested "Same Day Dispatch"

            FALSE - Customer did not request "Same Day Dispatch"
        SameDayDispatchCost:
          type: number
          description: >-
            Cost of the "Same Day Dispatch" option selected by the end customer
            on Global-e checkout, in the original Merchant's currency.
        SecondaryBilling:
          allOf:
            - $ref: '#/components/schemas/MerchantCustomerDetails'
          description: >-
            Secondary customer's billing details. If
            Customer.IsEndCustomerPrimary is FALSE, this contains attributes of
            the end customer's details indicated in the URL-encoded form.
        SecondaryShipping:
          allOf:
            - $ref: '#/components/schemas/MerchantCustomerDetails'
          description: >-
            Secondary customer's shipping details. If
            Customer.IsEndCustomerPrimary is FALSE, this field contains the end
            customers' shipping details.
        ShippingMethodCode:
          type: string
          description: >-
            Code denoting the local shipping method selected from the list of
            available shipping options provided in the shippingOptionsList
            argument for the SendCart method for the cart converted to this
            order on Global-e.
        ShipToStoreCode:
          type: string
          description: >-
            Code denoting the Merchant's store specified by the customer for
            "ship to shop" shipping destination (to be mapped on the Global-e
            side).
        StatusCode:
          type: string
          description: >-
            Code denoting the order status on the Merchant's site (to be mapped
            on the Global-e side).
        Subs:
          type: array
          items:
            $ref: '#/components/schemas/MerchantOrder'
          description: >-
            Contains Sub orders related to Mixed order. This list is defined
            only in case the order is Mixed.
        TotalDutiesAndTaxesPrice:
          type: number
          description: >-
            Total Duties & Taxes value including Customs Clearance Fees, in the
            Merchant currency. This amount is the total amount, regardless of
            whether the customer or the Merchant paid it.
        TotalDutiesPaidByCustomerPrice:
          type: number
          description: >-
            The total amount of duties paid by the customer in the Merchant's
            currency.
        UserId:
          type: string
          description: >-
            Internal User identifier on the Merchant's site originally specified
            in the shippingDetails.UserIdargument for SendCart method for the
            cart converted to this order on Global-e.
        USSalesTax:
          type: number
          description: >-
            Sales tax value for USA in the Merchant currency. This value is
            included in TotalDutiesAndTaxesPrice.
        WebStoreCode:
          type: string
          description: >-
            Code used on the Merchant's side to identify the web store, as
            specified in the WebStoreCode argument for the SendCart method for
            the cart converted to this order on Global-e.
    PerformOrderPaymentResponse:
      type: object
      title: PerformOrderPayment Response
      additionalProperties: true
    OrderDocument:
      type: object
      title: OrderDocument
      properties:
        CreationDateTime:
          type: string
          description: The date and time the document was created.
        DocumentData:
          type: string
          description: Base64 encoded byte array representing the document file content.
        DocumentExtension:
          type: string
          description: Document extension (PDF, ZPL, EPL).
        DocumentReference:
          type: string
          description: >-
            The reference provided by the government authorities to this
            document (such as MRN or ITN number).
        DocumentTypeCode:
          type: string
          description: |-
            Document type code, this value can be:
            CommercialInvoice = 1
            PackingList = 2
            ShipperManifest = 3
            Label = 4
            VATInvoice = 5
            DangerousGoodDeclarationLink = 6
            GELabel = 7
            CustomerReceiptInvoice = 8
            ArchibeLabel = 9
            DeliveryAdvice = 10
            EAD = 11
        DocumentTypeName:
          type: string
          description: >-
            Document type name, e.g. AWB, CommercialInvoiceAndPackingList or
            Manifest.
        ErrorMessage:
          type: string
          description: >-
            Description of the error for this entity (order/parcel) if it
            happened.
        ParcelCode:
          type: string
          description: The parcel code related to the document.
        ShippingServiceName:
          type: string
          description: >-
            The name of the shipping service for this document (relevant for
            DispatchOrders and DispatchConsolidatedShipment).
        TrackingNumber:
          type: string
          description: Shipping tracking number associated with the document.
        URL:
          type: string
          description: URL of the document.
    MerchantCustomer:
      type: object
      title: Merchant.Customer
      properties:
        IsEndCustomerPrimary:
          type: boolean
          description: >-
            Indicates if end customer details are "swapped" with a paying
            (Global-e) customer's details when submitting the order to the
            Merchant. By default, IsEndCustomerPrimary is FALSE.

            TRUE - The primary customer is the same as the end customer who has
            placed the order

            FALSE - The primary customer denotes the paying (Global-e) customer
            and the secondary customer denotes the end customer who has placed
            the order with Global-e checkout
        SendConfirmation:
          type: boolean
          description: >-
            Indicates if e-mail confirmation of the respective order's status
            change needs to be sent to the paying customer (Global-e acts as a
            paying customer).
    DTBreakdown:
      type: object
      title: DTBreakdown
      properties:
        Duties:
          type: number
          description: Duties that are applied.
        Other:
          type: number
          description: Other DT fees that are applied.
        SalesTaxes:
          type: number
          description: Sales taxes that are applied.
    MerchantDiscount:
      type: object
      title: Merchant.Discount
      properties:
        CouponCode:
          type: string
          description: >-
            Merchant CouponCode used for this discount (applicable to
            coupon-based discounts only)
        Description:
          type: string
          description: Discount textual description
        DiscountCode:
          type: string
          description: >-
            Discount code originally specified in the Discount.DiscountCode
            property of the respective discount in SendCart method for the cart
            converted to this order on Global-e.
        DiscountSource:
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
          description: |-
            The enum DiscountSource has the following possible values:
            1 = Merchant
            2 = FixedShippingPrice
            3 = PercentageCartPrice
            4 = HiddenForceDDP
            5 = Amend
            6 = RemoteAreaSurchargeSubsidy
            7 = LoyaltyPoints
            8 = PaymentCharge
            9 = ReplacementOrder
        DiscountType:
          type: number
          description: >-
            Discount type ("Cart", "Shipping", etc.), as defined in the
            DiscountTypeOptions enumeration described in the Discount class in
            this document.
        InternationalPrice:
          type: number
          description: >-
            Discount value in end customer's currency (specified in
            InternationalDetails.CurrencyCode property for the respective
            Merchant.Order), after applying country coefficient, FX conversion,
            and IncludeVAT handling.
        LocalVATRate:
          type: number
          description: >-
            The VAT rate that would be applied to this discount if the order was
            placed by the local customer. This value must be specified if
            UseCountryVAT for the current Country is TRUE and therefore the
            VATRate property denotes the VAT for the target country.
        LoyaltyVoucherCode:
          type: string
          description: >-
            Loyalty Voucher code originally specified in
            Discount.LoyaltyVoucherCode property of the respective discount in
            SendCart method for the cart converted to this order on Global-e.
        Name:
          type: string
          description: Discount name
        Price:
          type: number
          description: >-
            Discount value in the currency defined in the CurrencyCode property
            of the respective Merchant.Order object for the order being
            submitted to the Merchant.
        ProductCartItemId:
          type: string
          description: >-
            Identifier of the product cart item related to this discount on the
            Merchant's site originally specified in the
            Discount.ProductCartItemId property of the respective discount in
            the SendCart method for the cart converted to this order on
            Global-e.
        VATRate:
          type: number
          description: The VAT rate applied to this discount
    ExporterDetails:
      type: object
      title: ExporterDetails
      properties:
        DestinationRegistrationNumber:
          type: number
          description: >-
            The Tax reference number of the GE Entity at the destination
            country. Should only be provided when the order is tax-collected.
            Otherwise, the field should be Null. The value should be Null if the
            order destination is for an EU country.
        LocalRegistrationClearance:
          type: boolean
          description: >-
            Indicates whether the Merchant can use the destination Registration
            number.

            TRUE - Merchant can use destination Registration number
            (ExporterDetails.DestinationRegistrationNumber)

            FALSE - Merchant cannot use destination Registration number .
    MerchantInternationalDetails:
      type: object
      title: Merchant.InternationalDetails
      properties:
        CardNumberLastFourDigits:
          type: string
          description: The last 4 digits of the Card number (if applicable).
        CashOnDeliveryFee:
          type: number
          description: >-
            The additional charge is paid by the end customer when the "Cash on
            Delivery" payment method has been selected.
        ConsignmentFee:
          type: number
          description: >-
            The consignment fee is paid by the end customer in the currency
            denoted by CurrencyCode. This value is included in
            TotalShippingPrice.
        CurrencyCode:
          type: string
          description: >-
            3-char ISO code for the currency selected by the end customer for
            the order payment.
        CustomerDTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: >-
            Contains the duties and taxes parts the customer paid for the order
            in the currency denoted by CurrencyCode.
        DeliveryDaysFrom:
          type: number
          description: >-
            The minimum number of days for delivery to the end customer for the
            selected shipping method.
        DeliveryDaysTo:
          type: number
          description: >-
            The maximum number of days for delivery to the end customer for the
            selected shipping method.
        DiscountedShippingPrice:
          type: number
          description: >-
            The price paid by the customer in local currency. Total Shipping
            price reducing Order Discounts International price.
        DutiesGuaranteed:
          type: boolean
          description: >-
            Indicates if the end customer has selected the "guaranteed duties
            and taxes" option.
        ExpirationDate:
          type: string
          description: Card expiration date in YYYY-MM-DD format (if applicable).
        MerchantDTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: >-
            Contains the duties and taxes parts the Merchant subsidized for the
            order in the currency denoted by CurrencyCode.
        OrderTrackingNumber:
          type: string
          description: >-
            Tracking number used by the selected international shipping method
            for this order.
        OrderTrackingUrl:
          type: string
          description: >-
            Full tracking URL including OrderTrackingNumber used by the selected
            international shipping method for this order.
        OrderWaybillNumber:
          type: string
          description: >-
            Waybill number used by the selected international shipping method
            for this order.
        ParcelsTracking:
          type: array
          items:
            $ref: '#/components/schemas/MerchantParcelTracking'
          description: >-
            List of Merchant.ParcelTracking objects, each object holds the
            parcel tracking number and full tracking URL for the relevant
            shipper (with the parcel tracking number).
        PaymentMethodCode:
          type: string
          description: >-
            Code denoting the selected payment method as defined on the
            Merchant's site (to be mapped on the Global-e side). If this payment
            method doesn't exist on the Merchant's site, the internal Global-e
            payment method code will be specified instead.
        PaymentMethodName:
          type: string
          description: Name of the selected payment method.
        RemoteAreaSurcharge:
          type: number
          description: >-
            Remote area surcharge paid by the end customer in the currency
            denoted by CurrencyCode. This value is included in
            TotalShippingPrice.
        SameDayDispatchCost:
          type: number
          description: >-
            Cost of the "Same Day Dispatch" option (if selected by the end
            customer on Global-e checkout), in the currency denoted by
            CurrencyCode. This value is NOT included in TotalShippingPrice.
        ShippingMethodCode:
          type: string
          description: >-
            Code denoting the selected international shipping method as defined
            on the Merchant's site (to be mapped on the Global-e side). If this
            international shipping method doesn't exist on the Merchant's site,
            the internal Global-e shipping method code will be specified
            instead.
        ShippingMethodName:
          type: string
          description: Name of the selected international shipping method.
        ShippingMethodStatusCode:
          type: string
          description: >-
            Code denoting the selected shipping status as defined on the
            Merchant's site (to be mapped on the Global-e side). If this
            shipping status doesn't exist on the Merchant's site, the internal
            Global-e shipping status code will be specified instead.
        ShippingMethodStatusName:
          type: string
          description: Name of the shipping status.
        ShippingMethodTypeCode:
          type: string
          description: >-
            Code denoting the selected international shipping method type as
            defined on the Merchant's site (to be mapped on the Global-e side).
            If this international shipping method type does not exist on the
            Merchant's site, the internal Global-e shipping method type code
            will be specified instead.
        ShippingMethodTypeName:
          type: string
          description: Name of the selected international shipping method type.
        ShippingVATRate:
          type: number
          description: >-
            The shipping VAT rate for the customer. This rate is applied to the
            shipping cost.
        SizeOverchargeValue:
          type: number
          description: >-
            Oversized items charge paid by the end customer in the currency
            denoted by CurrencyCode. This value is included in
            TotalShippingPrice.
        TotalCCFPrice:
          type: number
          description: >-
            Total Customs Clearance Fees value in the currency denoted by
            CurrencyCode. This value is included in TotalDutiesPrice.
        TotalDutiesPrice:
          type: number
          description: >-
            Total Duties & Taxes value including Customs Clearance Fees, in the
            currency denoted by CurrencyCode.
        TotalPrice:
          type: number
          description: Total order price in the currency denoted by CurrencyCode.
        TotalShippingPrice:
          type: number
          description: Total shipping price in the currency denoted by CurrencyCode.
        TotalVATAmount:
          type: number
          description: Amount of VAT paid by the customer to Global-e
        TransactionCurrencyCode:
          type: string
          description: >-
            3-char ISO code for the currency actually used for the current order
            payment. TransactionCurrencyCode may differ from CurrencyCode if the
            currency selected by the end customer could not be used with the
            selected payment method.
        TransactionTotalPrice:
          type: number
          description: >-
            Total order price actually paid by the end customer in the currency
            denoted by TransactionCurrencyCode.
        USSalesTax:
          type: number
          description: >-
            Sales tax value for the USA in the currency denoted by CurrencyCode.
            This value is included in TotalDutiesPrice.
    OrderPaymentMethod:
      type: object
      title: OrderPaymentMethod
      properties:
        GiftCardFields:
          type: string
          description: Gift card fields
        IsGiftCard:
          type: boolean
          description: |-
            Indicates if the order payment method is a gift card.
            TRUE if using a gift card for payment
            FALSE if not using a gift card
        PaidAmountInCustomerCurrency:
          type: number
          description: Amount that paid in customer's currency
        PaidAmountInMerchantCurrency:
          type: number
          description: Amount paid in Merchant's currency
        PaymentMethodId:
          type: number
          description: The ID for the payment method
        PaymentMethodName:
          type: string
          description: Name of the payment method
    OrderStatusReason:
      type: object
      title: OrderStatusReason
      properties:
        Name:
          type: string
          description: Order status reason name
        OrderStatusReasonCode:
          type: string
          description: >-
            Code denoting the order status reason on the Merchant's site (to be
            mapped on the Global-e side)
    MerchantOriginalOrder:
      type: object
      title: Merchant.OriginalOrder
      properties:
        MerchantInternalOrderId:
          type: string
          description: >-
            InternalOrderId returned from SendOrderToMerchant call for the
            original order.
        MerchantOrderId:
          type: string
          description: >-
            OrderId returned from SendOrderToMerchant call for the original
            order.
        OrderId:
          type: string
          description: Global-e order unique identifier for the original order.
    MerchantParcel:
      type: object
      title: Merchant.Parcel
      properties:
        Code:
          type: string
          description: Parcel code.
        ParcelStatusId:
          type: number
          description: Parcel status id.
        StatusName:
          type: string
          description: Parcel status name.
        TrackingUrl:
          type: string
          description: Direct tracking URL.
        Products:
          type: array
          items:
            $ref: '#/components/schemas/MerchantParcelProduct'
          description: List of products included in the parcel.
    MerchantPaymentDetails:
      type: object
      title: Merchant.PaymentDetails
      properties:
        Address1:
          type: string
          description: Address line 1
        Address2:
          type: string
          description: Address line 2
        CardNumber:
          type: string
          description: Card number
        City:
          type: string
          description: City name
        CountryCode:
          type: string
          description: 2-char ISO country code
        CountryName:
          type: string
          description: Country name
        CVVNumber:
          type: string
          description: Card CVV number
        Email:
          type: string
          description: E-mail address
        ExpirationDate:
          type: string
          description: Card expiration date (in YYYY-MM-DD format)
        Fax:
          type: string
          description: Fax
        OwnerFirstName:
          type: string
          description: Card owner's first name
        OwnerLastName:
          type: string
          description: Card owner's last name
        OwnerName:
          type: string
          description: >-
            Card owner's full name (the Merchant may choose to consider either
            full name or first name with the last name, according to the
            existing payment method input validation requirements).
        PaymentMethodCode:
          type: string
          description: >-
            Payment method code used to identify the payment method on the
            Merchant's site (to be mapped on the Global-e side).
        PaymentMethodName:
          type: string
          description: Payment method name
        PaymentMethodTypeCode:
          type: string
          description: >-
            Payment method type's code used to identify the payment method type
            (such as Credit Card or Check) on the Merchant's site (to be mapped
            on the Global-e side).
        Phone1:
          type: string
          description: Phone
        Phone2:
          type: string
          description: Phone
        StateCode:
          type: string
          description: State or province ISO code such as AZ for Arizona (if applicable)
        StateOrProvice:
          type: string
          description: State or province name
        Zip:
          type: string
          description: Zip or postal code
    MerchantCustomerDetails:
      type: object
      title: Merchant.CustomerDetails
      properties:
        Address1:
          type: string
          description: Address line 1
        Address2:
          type: string
          description: Address line 2
        AddressBookId:
          type: string
          description: Id of the current address from within the address book
        AddressBookName:
          type: string
          description: Name of the current address from within the address book
        City:
          type: string
          description: City name
        Company:
          type: string
          description: Company name
        CountryCode:
          type: string
          description: 2-char ISO country code
        CountryName:
          type: string
          description: Country name
        Email:
          type: string
          description: Email address
        Fax:
          type: string
          description: Fax
        FirstName:
          type: string
          description: First name
        FirstNameInLocalCulture:
          type: string
          description: First name in local culture
        LastName:
          type: string
          description: Last name
        LastNameInLocalCulture:
          type: string
          description: Last name in local culture
        MiddleName:
          type: string
          description: Middle name
        Phone1:
          type: string
          description: Phone
        Phone2:
          type: string
          description: Phone
        Salutation:
          type: string
          description: Salutation or title (e.g. Dr., Mr., etc.)
        SaveAddress:
          type: boolean
          description: >-
            Indicates that the current address should be saved in the Merchant
            platform
        StateCode:
          type: string
          description: State or province ISO code such as AZ for Arizona (if applicable)
        StateOrProvice:
          type: string
          description: State or province name
        Zip:
          type: string
          description: Zip or postal code
    MerchantProduct:
      type: object
      title: Merchant.Product
      properties:
        Attributes:
          type: array
          items:
            $ref: '#/components/schemas/MerchantCartProductAttribute'
          description: >-
            Custom attributes describe products that customers can personalize
            according to what the site offers. Each Attribute holds a key to
            specify attribute name and Value properties.
        BackOrderDate:
          type: string
          description: Estimated date for the backordered item to be in stock
        Brand:
          allOf:
            - $ref: '#/components/schemas/MerchantBrand'
          description: Product's brandSku
        CartItemId:
          type: string
          description: >-
            Identifier of the cart item on the Merchant's site originally
            specified in the Product.CartItemId property of the respective
            product in the SendCart method for the cart converted to this order
            on Global-e.
        CartItemOptionId:
          type: string
          description: >-
            Identifier of the child cart item "option" on the Merchant's site
            originally specified in the Product.CartItemOptionId property of the
            respective product in the SendCart method for the cart converted to
            this order on Global-e.
        Categories:
          type: array
          items:
            $ref: '#/components/schemas/MerchantCategory'
          description: List of product categories
        CustomerVATRate:
          type: number
          description: The customer VAT rate applied to this product
        DiscountedPrice:
          type: number
          description: >-
            The product value is in Merchant currency after deducting all
            product and cart level discounts from the price. Product level
            discounts will be fully deducted from the respective product's price
            and cart discounts will be prorated over all products according to
            the remaining value. This value can be used as the pre-calculated
            value for the returned product's refund.
        DiscountedPriceForCustoms:
          type: number
          description: >-
            Product price in Merchant currency reflects the price after Reverse
            D&T calculation.
        DTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: Contains the duties and taxes per item in Merchant currency.
        GenericHSCode:
          type: string
          description: Product's HS code
        GiftMessage:
          type: string
          description: >-
            Text originally specified in the Product.GiftMessage property of the
            respective product in the SendCart method for the cart converted to
            this order on Global-e.
        HandlingCode:
          type: string
          description: >-
            Code originally specified in Product.HandlingCode property of the
            respective product in the SendCart method for the cart converted to
            this order on Global-e.
        InternationalDiscountedPrice:
          type: number
          description: >-
            The product value in customer currency after deducting all product
            and cart level discounts from the price. Product level discounts
            will be fully deducted from the respective product's price and cart
            discounts will be prorated over all products according to the
            remaining value. This value can be used as the pre-calculated value
            for the returned product's refund.
        InternationalDiscountedPriceForCustoms:
          type: number
          description: >-
            Product price in customer currency reflects the price after Reverse
            D&T calculation
        InternationalDiscountedPriceInMerchantCurrency:
          type: number
          description: Product Price in Merchant currency
        InternationalDTBreakdown:
          allOf:
            - $ref: '#/components/schemas/DTBreakdown'
          description: Contains the duties and taxes per item in customer currency.
        InternationalListPrice:
          type: number
          description: >-
            Single product list price in end customer's currency (specified in
            the InternationalDetails.CurrencyCode property for the respective
            Merchant.Order), after applying country coefficient, FX conversion,
            rounding rule (if applicable), and IncludeVAT handling.
        InternationalPrice:
          type: number
          description: >-
            Single product final sale price in end customer currency (specified
            in InternationalDetails.CurrencyCode property for the respective
            Merchant.Order), after applying country coefficient, FX conversion,
            rounding rule (if applicable), and IncludeVAT handling.
        IsBackOrdered:
          type: boolean
          description: |-
            Identifies if the product was ordered as a back ordered item
            TRUE - Product is back-ordered.
            FALSE - Product is not back-ordered.
        LineItemInternationalPrice:
          type: number
          description: >-
            Line item (product in ordered quantity) price in end customer's
            currency (specified in the InternationalDetails.CurrencyCode
            property for the respective Merchant.Order), after applying country
            coefficient, FX conversion, rounding rule (if applicable), and
            IncludeVAT handling. If not specified, should be deemed equal to
            "InternationalPrice * Quantity". If specified, should take
            preference over InternationalPrice.
        LineItemPriceBeforeGlobalEDiscount:
          type: number
          deprecated: true
          description: >-
            Line item (product in ordered quantity) price in the currency
            defined in the CurrencyCode property of the respective
            Merchant.Order object for the order being submitted to the Merchant,
            before applying any per-product Global-e discounts (such as
            per-product Shipping discounts). If not specified, should be deemed
            equal to "PriceBeforeGlobalEDiscount * Quantity". If specified,
            should take preference over PriceBeforeGlobalEDiscount.
        ListPrice:
          type: number
          description: >-
            Single product List price in the currency defined in the
            CurrencyCode property of the respective Merchant.Order object for
            the order being submitted to the Merchant.
        Name:
          type: string
          description: Name of the product. Returned by GetOrdersDetails API only
        ParentCartItemId:
          type: string
          description: >-
            Identifier of the current item's parent cart item on the Merchant's
            site originally specified in the Product.ParentCartItemId property
            of the respective product in the SendCart method for the cart
            converted to this order on Global-e.
        Price:
          type: number
          description: >-
            Single product final sale price in the currency defined in the
            CurrencyCode property of the respective Merchant.Order object for
            the order being submitted to the Merchant.
        PriceBeforeGlobalEDiscount:
          type: number
          deprecated: true
          description: >-
            Single product price in the currency defined in the CurrencyCode
            property of the respective Merchant.Order object for the order being
            submitted to the Merchant, before applying any per-product Global-e
            discounts (such as per-product Shipping discounts). If no Global-e
            discount was applied, PriceBeforeGlobalEDiscount is equal to Price.
        ProductAttributes:
          type: array
          items:
            $ref: '#/components/schemas/MerchantProductAttribute'
          description: Product attributes. Returned by GetOrdersDetails API only
        Quantity:
          type: number
          description: >-
            Product quantity in the order that is currently being submitted to
            the Merchant.
        RoundingRate:
          type: number
          description: >-
            The conversion rate applied to this product price paid by the end
            customer when calculating the prices paid by Global-e to the
            Merchant in the original Merchant's currency. This rate includes "FX
            conversion" and "marketing rounding" factors.
        Sku:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant's site (to be
            mapped on the Global-e side).
        VATRate:
          type: number
          description: The VAT rate applied to this product
    MerchantParcelTracking:
      type: object
      title: Merchant.ParcelTracking
      properties:
        Code:
          type: string
          description: Parcel code.
        ParcelStatusId:
          type: number
          description: Parcel status id.
        StatusName:
          type: string
          description: Parcel status name.
        TrackingUrl:
          type: string
          description: Direct tracking URL.
        Products:
          type: array
          items:
            $ref: '#/components/schemas/MerchantParcelProduct'
          description: List of products included in the parcel.
    MerchantParcelProduct:
      type: object
      title: Merchant.ParcelProduct
      properties:
        CartItemId:
          type: string
          description: Cart item id of the product.
        Quantity:
          type: number
          description: Product quantity included in the parcel.
        Sku:
          type: string
          description: Product SKU.
    MerchantCartProductAttribute:
      type: object
      title: Merchant.CartProductAttribute
      properties:
        AttributeKey:
          type: string
          description: >-
            Custom product attribute name that is used to describe the
            personalized product.
        AttributeValue:
          type: string
          description: >-
            Custom product attribute value that is used to describe the
            personalized product.
    MerchantBrand:
      type: object
      title: Merchant.Brand
      properties:
        BrandCode:
          type: string
          description: Brand code
        Name:
          type: string
          description: Brand name
    MerchantCategory:
      type: object
      title: Merchant.Category
      properties:
        CategoryCode:
          type: string
          description: Merchant category code
        Name:
          type: string
          description: Merchant category name
    MerchantProductAttribute:
      type: object
      title: Merchant.ProductAttribute
      properties:
        AttributeKey:
          type: string
          description: >-
            Customized product attribute name, used to describe the personalized
            product.
        AttributeValue:
          type: string
          description: >-
            Customized product attribute, used to describe the personalized
            product.

````